include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${PYTHON_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kigscripting (static)

tde_add_library( kigscripting STATIC_PIC AUTOMOC

  SOURCES
        newscriptwizardbase.ui
        python_type.cpp
        python_scripter.cpp
        script-common.cpp
        script_mode.cpp
        newscriptwizard.cpp
   LINK
      katepartinterfaces
      tdetexteditor-shared
      ${PYTHON_LIBRARIES}
      ${Boost_PYTHON_LIBRARY}
)


##### other data

install(
    FILES python-kig.xml
    DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax
)
